Loading...
Searching...
No Matches
L4Re::Console Class Reference
L4Re C++ Interface » Console API

Console class. More...

`#include <console>`

Inheritance diagram for L4Re::Console:
Collaboration diagram for L4Re::Console:

## Additional Inherited Members

Protected Types inherited from L4::Kobject_2t< Console, Video::Goos, Event, L4::PROTO_EMPTY >
typedef Console | Class
| The target interface type (inheriting from Kobject_t).
typedef Typeid::Iface< PROTO, Console > | __Iface
| The interface description for the derived class.
typedef Typeid::Merge_list< Typeid::Iface_list< __Iface >, Typeid::Merge_list< typename Video::Goos::__Iface_list, typename Event::__Iface_list > > | __Iface_list
| The list of all RPC interfaces provided directly or through inheritance.
Protected Member Functions inherited from L4::Kobject_2t< Console, Video::Goos, Event, L4::PROTO_EMPTY >
L4::Cap< Class > | c () const noexcept
| Get the capability to ourselves.
Static Protected Member Functions inherited from L4::Kobject_2t< Console, Video::Goos, Event, L4::PROTO_EMPTY >
static void | __check_protocols__ () noexcept
| Helper to check for protocol conflicts.

## Detailed Description

Console class.

Definition at line 28 of file console.

The documentation for this class was generated from the following file:

- l4/re/console